/*!
 * @file HaveSymbol.cpp
 * @brief シンボル保持抽象クラスを定義する
 * @date 2014/06/11
 * @author Deskull
 * 2014 Sikabane Works.
 */

#include "stdafx.h"
#include "HaveSymbol.h"

namespace Deeangband
{
	HaveSymbol::HaveSymbol(void)
	{
		WipeData();
		return;
	}

	HaveSymbol::~HaveSymbol(void)
	{
		WipeData();
		return;
	}

	void HaveSymbol::WipeData(void)
	{
		this->symbol = "X";
		this->symbolColor.SetColor(40, 40, 40, 255);
		this->backColor.SetColor(0, 0, 0, 255);
		this->tileID = 0;
	}

	SYMBOL HaveSymbol::GetSymbol(void)
	{
		return this->symbol;
	}

	Color HaveSymbol::GetSymbolColor(void)
	{
		return this->symbolColor;
	}

	Color HaveSymbol::GetBackColor(void)
	{
		return this->backColor;
	}

	ID HaveSymbol::GetTileID(void)
	{
		return this->tileID;
	}

}
